#
# spec file for package python-axolotl-curve25519
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define _version 0.4.1.post2
Name:           python-axolotl-curve25519
Version:        0.4.1.2
Release:        1.9
Summary:        A curve25519 Python wrapper with Ed25519 signatures
License:        BSD-3-Clause AND GPL-3.0-only
Group:          Development/Languages/Python
URL:            https://github.com/tgalal/python-axolotl-curve25519
Source:         https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{_version}.tar.gz
Source1:        https://raw.githubusercontent.com/tgalal/python-axolotl-curve25519/master/LICENSE
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
This is a Python wrapper for the curve25519 library with Ed25519
signatures.

%prep
%setup -q -n %{name}-%{_version}
cp -a %{SOURCE1} .

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%files %{python_files}
%license LICENSE
%{python_sitearch}/*

%changelog
* Mon May 23 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Fixed version, source version is 0.4.1.post2, or as in setup.py
  "0.4.1-2", so normalized 0.4.1.2
* Thu Aug 16 2018 sor.alexei@meowr.ru
- Update to version 0.4.1.1 (changes since 0.1):
  * Fix prototype definition in zeroize.c.
  * Fix a differ in signedness [-Wpointer-sign] warning.
  * Sort input file list so that axolotl_curve25519.so builds in a
    reproducible way.
  * Update curve/ed25519.
- Append BSD-3-Clause to the list of licences because of
  curve25519-donna.
* Thu Apr  5 2018 jengelh@inai.de
- Update descriptions.
* Wed Apr  4 2018 dev@stellardeath.org
- Initial package of version 0.1
